FROM python:3

# ADD THESE TWO LINES TO INSTALL CRON
RUN apt-get update
RUN apt-get install cron -y

ENV PYTHONUNBUFFERED 1
WORKDIR /app
COPY requirements.txt requirements.txt
RUN pip install -r requirements.txt

RUN touch /var/spool/cron/crontabs/root
RUN crontab -l

CMD python manage.py crontab add && service cron start && python manage.py runserver "0.0.0.0:8001"
